>### 编写目的
>1. pytest受规则限制，参数化是在测试运行之前静态地确定参数值的，这意味着参数化不支持在测试运行时动态生成参数值。
>2. 缺乏简洁风格的测试报告模板，使得测试人员难以定位失败用例问题。
>3. 每次自动化项目都需封装大量常用方法。
>4. 接口请求需重复携带参数，而requests的session并不能满足我们的需求。

>### 库的功能
>- 提供环境配置参数，方便切换环境。
>- 封装requests方法，用例编写中接口请求只需填写关键信息，省去重复参数填写。
>- 数据库封装mysql和pg，简化数据库操作。
>- 程序运行后自动生成简约测试报告，详细展示代码异常和用例失败信息，便于问题定位。 
>- 在测试运行时动态生成参数值（参数化可动态）。

>### 版本更新说明：
>- 修复了当一个测试用例存在多个参数化时导致程序报错的问题。
>- 修复响应时间排序问题，之前为str类型，改为float类型。
>- 新增了对PostgreSQL数据库的配置支持。
>- 优化了内置关键函数的命名调用。
>- 优化了内置的Excel文件读取方法。
>- 优化了将图片嵌入测试报告的方法。
>- 将内置fixture移除，解决内置fixture函数无法自动补全的问题。
